////>
//  Title:   Custom Chat
//  Author:  Truce
////>

package CustomChat
{
	function serverCmdMessageSent(%cl,%msg)
	{
		%msg = stripMLControlChars(%msg);
		
		for(%i = 0; %i < getWordCount(%msg); %i++)
		{
			%word = getWord(%msg,%i);
			%end  = getSubStr(%word,7,strLen(%word));
			
			if(getSubStr(%word,0,7) $= "http://")
				%word = "<a:" @ %end @ ">" @ %end @ "</a>\c6";
			
			%new = %new SPC %word;
		}
		
		%msg  = trim(%new);
		%name = %cl.getPlayerName();
		%pre  = %cl.clanPrefix;
		%suf  = %cl.clanSuffix;
		%all  = '\c7%1\c3%2\c7%3\c6: %4' @ "\c7" @ %pre @ "\c3" @ %name @ "\c7" @ %suf @ "\c6: " @ %msg;
		
		commandToAll('chatMessage',%cl,'','',%all,%pre,%name,%suf,%msg);
	}
};
activatePackage(CustomChat);